ggiDrawVLine(3ggi)

NAME
ggiDrawVLine, ggiPutVLine, ggiGetVLine - Draw, put, and get a vertical line from a visual

SYNOPSIS
#include <ggi/ggi.h>

int ggiDrawVLine(ggi_visual_t vis, int x, int y, int h);

int ggiPutVLine(ggi_visual_t vis, int x, int y, int h, void *buf);

int ggiGetVLine(ggi_visual_t vis, int x, int y, int h, void *buf); .SH "DESCRIPTION"

Draw, put, or get a vertical line from (x,y), extending h pixels in the positive y direction (normally down). The width of the line is one pixel.

RETURN VALUE

All three functions return 0 to indicate success. Any other value indicates an error.

SEE ALSO
ggiDrawHLine(3), ggiDrawBox(3), ggiDrawLine(3)